#ifndef CONFIG_FILE
#define CONFIG_FILE


/* Global config options */
#define DEBUG 1
#define LOG_LEVEL 4
#define ENABLE_FILE_LINE_IN_OTHER_PR 1
#define ENABLE_STDOUT 1


/* Output color config section */
#define COLOR_ENABLE 1


/* CLI config section */
#define CLI_MAX_LINE_LENGTH 256
#define CLI_MAX_ACCEPTED_ARGS 4
#define CLI_MAX_TOKEN_LENGTH 64


/* FS config section */
#define FS_MAX_DEVICE_FILE_NAME_LEN 512
#define FS_BLOCK_SIZE 16
#define FS_MAX_BITMAP_SIZE 64
#define FS_MAX_PATH_LEN 512
#define FS_MAX_OPEN_FD 32
#define FS_MAX_FNAME_LEN 11
#define FS_MAX_DIRECTORY_DEPTH 512


#endif
